{% extends 'base.html.twig' %}

{% block main_content %}
<div class="container mb-5">
    <div class="mt-4 row justify-content-center">
        <div class="col-12 pt-2 pb-2 rounded white mb-3">
            <div class="row">
                <div class="col-6">
                    <h2>{{ list_select_title|trans }}</h2>
                </div>
                <div class="col-6 text-right">
                    <a href="{{ path('gift_edit') }}" class="btn purple-gradient m-0 p-2"><i class="far fa-plus"></i>&nbsp;&nbsp;<i class="far fa-gift"></i> Cadeau surprise!</a>
                </div>
            </div>
            <div class="row">
            {% for form in forms %}
                {{ form_start(form, {'attr' : {'class' : 'col-md-4 mb-2','id': form.vars.id ~ loop.index0, 'name': form.vars.name ~ loop.index0}}) }}
                {% set index = loop.index0 %}
                <div class="p-2 border border-info rounded">
                    <h3 class="mb-1">{{ form.vars.data.name }} - <span class="amber-text text-capitalize bold">{{ form.vars.data.user.username }}</span></h3>
                    <ul class="gifts p-0">
                        {# iterate over each existing tag and render its only field: name #}
                        {% for gift in form.gifts %}
                            {% set link = (gift.vars.data.link) ? ' - <a target="blank" href="' ~ gift.vars.data.link ~'">' ~ ('voir ici'|trans) ~ '</a>' : '' %}
                            {% set link = link ~ ((gift.vars.data.linkBis) ? ((gift.vars.data.link) ? ' ou ' : ' - ') ~ '<a target="blank" href="' ~ gift.vars.data.linkBis ~'">' ~ ('voir ici'|trans) ~ '</a>' : '') %}
                            {% set imgSurprise = ' <img style="margin-top:-15px;" width="30" src="' ~ asset('images/surprise.png') ~ '" />' %}
                            {% set description = '<span class="purple-text d-block">' ~ gift.vars.data.description ~ '</span>'  %}
                            {% if gift.vars.data.user == app.user and gift.vars.data.getSurprised == true %}
                                {% set link = imgSurprise %}
                                {% set description = ''  %}
                            {% elseif gift.vars.data.getSurprised == true %}
                                {% set link = imgSurprise ~ link %}
                            {% endif %}
                            {% set toHide = app.user == form.vars.data.user %}
                            {% set label_class = 'black-text' %}
                            {% set count = gift.vars.data.santas|length %}
                            {% set user_count = count > 0 ? '<span class="green-text d-block uc">[' ~ count ~ ' santa(s)]</span>' : '' %}
                            {% set attr = { 'disabled' : (toHide ? true : false) } %}
                            {% for user in gift.vars.data.santas %}
                                {% if user.id == user_id %}
                                    {% set label_class = 'line-through black-text' %}
                                    {% set attr = attr|merge({ 'checked' : 'checked' }) %}
                                {% endif %}
                            {% endfor %}
                            {% set opt = {
                                'attr' : attr,
                                'label' : gift.vars.data.name ~ link ~ description ~ user_count,
                                'label_attr' : {'class' : label_class},
                                'id' : index ~ '_' ~ gift.vars.id,
                                'full_name' : index ~ '_' ~ gift.vars.full_name ~ '[selected]'
                            } %}
                            <li class="form-ajax" data-user-count="{{ count }}" data-gift-id="{{ gift.vars.data.id }}" data-list-id="{{ form.vars.data.id }}">
                                {{ form_row(gift.selected, opt) }}
                            </li>
                        {% endfor %}
                    </ul>
                </div>
                {{ form_end(form) }}
            {% endfor %}
            </div>
        </div>
    </div>
</div>
{% endblock %}

{% block special_javascript %}
    {{ encore_entry_script_tags('list') }}
{% endblock %}
